List access edges (R/RW map); self-audited
GET
/v1/access-edges
const url = 'https://example.com/v1/access-edges?limit=50';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/access-edges?limit=50' \ --header 'Authorization: Bearer <token>'Lists the recorded access edges of the resolved tenant, the read and read-write map between principals and resources. The read is recorded in the audit ledger.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Query Parameters
Section titled “Query Parameters ” limit
integer
Maximum number of items to return.
cursor
string
Pagination cursor from a previous response.
Responses
Section titled “ Responses ”OK
Media type application/json
object
cursor
string
has_more
required
boolean
items
required
Array<object>
object
confidence
string
first_seen
string format: date-time
id
string format: uuid
last_seen
string format: date-time
mode
string
observed
boolean
occurrence_count
integer format: int64
origin_id
string format: uuid
origin_kind
string
permitted
boolean
resource_id
string format: uuid
signal_source
string
Example
{ "items": [ { "mode": "read" } ]}Bad request
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Unauthenticated
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Forbidden
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Not found
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Conflict / setup required
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Rate limited
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}